# SPS-Schauanlage 

Schauanlage, welche eine industrielle Verarbeitung eines Werkstücks simulieren soll. Die Anlage umfasst einen im Kreis laufenden Würfel ("Werkstück"), welches über Förderbänder und Lifte transportiert wird.

[TOC]

## Übersicht

![Skizze-Übersicht](/home/neko/Programs/Git/sps-modbus-app/Dokumentation/Anlage/Skizze-Übersicht.jpg)

Erklärung der Abkürzungen

|Abkürzung|Bedeutung|
|---------|---------|
|H#|Heber #|
|PU#|Pusher #|
|LS#|Lichtschranke #|
|SP#|Sortierplatte #|
|B#|"Bohrer"[^Bohrer] #|
|IND#|Induktiver Sensor #|
|R#|Reed-Kontakt #|
|StV#|Stellventil[^StV] #|
|Rb#|Rollband, Förderband|

[^Bohrer]: Kein wirklicher Bohrer, zur Schau gestellt durch einen Kolben.
[^StV]: Achtung, 2 verschiedenen Typen unter der selben Bezeichnung -> Laut Pneumatikplan vorgehen!

## Komponentenliste

|Name|Stk.|Beschreibung|ModellNr.#|
|--|--|--|--|
|Einfachwirkender Kolben mit Rückzug|4|Einfachwirkende Kolben für die Pusher PU1 und PU2 sowie SP1 und B1|Festo ESNU-20-50-P-A|
|Doppelwirkender Kolben|2|Kolben für die Lifte H1 und H2|Festo DSNU-20-100-PPV-A|
|Förderband|2|Zur Beförderung des Werkstücks||
|Lichtschranke|3|Einstellbare Lichtschranken von Festo zur Produkterkennung auf den Liften sowie bei B1|Festo S-ES-SOE-RT-PS-SIBU|
|Induktionssensor|1|Einstellbarer induktiver Sensor von Festo zur Metallerkennung bei SP1|Festo S-ES-SIE-P mit S-LED-M12|
|5/2 Wege Ventil|2|Festo Solenoid-Ventile für die beiden Heber H1 und H2|Festo VSVA-B-B52-H-A2-1R2L|
|3/2 Wege Ventil|2|Festo Solenoid-Ventile für die beiden Pusher PU1 und PU2 sowie SP1 und B1|Festo VSVA-B-T32C-AH-A2-1R2L|
|Elektronischer Druckmesser|1|Druckmessung des Pneumatiksystems|Festo SDE1-D10-G2-H18-PU-M8|
|Siemens Logo SPS|1|Siemens Logo SPS|Siemens Logo 0BA8|
|Siemens Logo Netzteil|1|Siemens Logo 24V Netzteil||
|Siemens Logo IO-Erweiterung|1|Erweiterungskarte mit 4 Inputs und 4 Relais||

## Funktionsbeschreibung

Das "Werkstück", repräsentiert durch einen 3D-gedruckten Würfen, wird auf das untere Förderband (RB1) aufgelegt. Das Förderband transportiert das Werkstück bis zum ersten Lift nach Links (H1). Die Lichtschranke (LS1) erkennt, dass sich das Werkstück auf dem Lift befindet und der Kolben H1 fährt aus.

Wenn erkannt wird, dass der Kolben hochgefahren ist (Reed-Kontakte auf H1: R2 und R1) fährt der Pusher PU1 aus und schiebt das Werkstück auf das obere Förderband RB2. 

Insofern das Werkstück metallisch[^WS-Metall] ist bzw. Metall enthält, fährt die Sortierplatte anhand eines Kolben (SP1) nach unten. Das Werkstück gleitet an einer schrägen Oberfläche an der Spitze der Kolbenstange entlang und fällt vom Förderband in einen Korb vor der Anlage. Nicht-metallische Werkstücke fahren ungehindert an SP1 vorbei.

Weiter nach Rechts von SP1 befindet sich die Lichtschranke LS5. Sobald diese ein Werkstück erkennt, bleibt das Rollband RB2 stehen und der Kolben B1 fährt aus. Dieser soll die Bohrung eines Werkstückes zur Schau stellen[^Bohrung].

Nach der Bohrung fährt das Werkstück weiter und wird durch das Förderband RB2 auf dem Lift H2[^Senker] platziert. Eine Lichtschranke erkennt, dass sich das Werkstück auf dem Lift befindet und der Kolben H2 senkt sich ab. 

Sobald der Kolben H2 die untere Ruheposition erreicht hat (erkannt durch Reed-Kontakte R4 und R3) fährt Pusher PU2 aus und schiebt das Werkstück auf das Förderband RB1 und der Prozess startet von vorne.

### Geplante und nicht umgesetzte Funktionalität

Aufgrunde des Mangels einer Lichtschranke (LS6) wurde eine vorgesehene Stop-Funktion der Anlage nicht implementiert. Diese Lichtschranke soll bei erkennen des Werkstückes einen Zähler in der Anlage einmal um 1 erhöhen und beide Förderbänder solange anhalten, bis das Werkstück von Hand nach vorne geschoben wird.

## Aufbau und Standort

![photo_2019-01-23_10-31-35](/home/neko/Programs/Git/sps-modbus-app/Dokumentation/Projektfotos/photo_2019-01-23_10-31-35.jpg)

Der geplante Standort der Anlage sind die etwa 15° angewinkelten Wände im Ausbildungsraum neben der Küche. Diese Wände sind für die Befestigung der Festo Komponenten gedacht. Andere Komponenten wurden entweder anhand von 3D-gedruckten Adaptern (Förderbänder) oder einfach mit doppelseitigem Klebeband befestigt.

Die SPS wird anhand einer selbstgebauten Adapterplatte auf das Lochraster über der Wand aufgesteckt. Auf der Adapterplatte befindet sich eine Hutschiene[^HutSch], auf der die SPS sowie das SPS-Netzteil und der IO-Erweiterungsadapter befestigt wird.

Alle Pneumatikkomponenten und Förderbänder werden auf der schrägen Festo-Wand befestigt und lt. Skizze bzw. Photo platziert. 

Die Verkabelung der Komponenten ist lt. Stromlaufplan vorzunehmen. Die Pneumatik ist lt. Pneumatikplan zu verrohren.

Die Stromversorgung des Systems läuft über die von Festo hergestellten 24V Netzteile und Bananenstecker/Kabel. Vom Netzteil wird die 24V-Schiene über Verteiler aufgeteilt und über Banenenstecker und Kabel zu den jeweiligen Komponenten gebracht. Es ist zu beachten, dass die Masse der 24V-Netzteile von Festo und der Siemens Logo gebrückt werden müssen.

Die Ventile von Festo benötigten ein besonderes DIN-Anschluss-Kabel, welches in Bananenstecker terminiert. 

## SPS-Tags und Anschlusslisten

In der Excel-Tabelle "Tag-Liste.xlsx" finden sich die Anschlusslisten und Benennungen sämtlicher im Stromlaufplan erwähnten Komponenten in eigenen Registerkarten. Außerdem findet sich dort die Liste der verwendeten Modbus Coils und Register und eine funktionelle Beschreibung der einzelnen Anschlüsse als Zusatzinformation zum Stromlauf- und Pneumatikplan.

[^HutSch]: Nach EN50022, "DIN-Schiene"
[^WS-Metall]: Achtung: Aufgrund der niedrigen Spannung des Stoffes des Förderbands sind metallische Werkstücke nicht empfohlen. Durch ihr höheres Gewicht sinken diese leicht ein, was dem Antrieb der Förderbänder zu schaffen macht.
[^Bohrung]: Achtung: Sollte das Werkstück keinen Hohlraum oder keine Aussparung oben besitzen, führt dies dazu, dass der Kolben das Werkstück in das Förderband drückt und es damit evtl. beschädigt. Es wird empfohlen, oben offene Hohlkörper zu verwenden!
[^Senker]: Auch "Senker" genannt.
